unit Screen_ZO;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ScadaBase, VisMachine, VisMchb, ExtCtrls, VisDltB,
  VisStatusShape, VisZDVH, VisZDVT, jpeg, SimpleLine, PolyLine, VisButton,
  Buttons, VisZDVC, VisZDVA, VisLabel, VisDynamicPict, VisMcha, VisNumericPanel,
  VisDataboard, VisCheckBox, VisRadioButton, VisControl;

type
  TScreen_ZOForm = class(TForm)
    Shape1: TShape;
    Shape3: TShape;
    Shape5: TShape;
    Shape2: TShape;
    VisMchb1: TVisMchb;
    VisMchb8: TVisMchb;
    VisMchb2: TVisMchb;
    SimpleLine1: TSimpleLine;
    SimpleLine2: TSimpleLine;
    SimpleLine3: TSimpleLine;
    SimpleLine4: TSimpleLine;
    VisMchb4: TVisMchb;
    SimpleLine11: TSimpleLine;
    VisMchb_13: TVisMchb;
    VisMchb5: TVisMchb;
    SimpleLine5: TSimpleLine;
    VisMchb_17: TVisMchb;
    VisMchb_19: TVisMchb;
    aspSimpleLine6: TSimpleLine;
    SimpleLine6: TSimpleLine;
    VisMchb6: TVisMchb;
    VisMchb7: TVisMchb;
    VisMchb9: TVisMchb;
    VisMchb10: TVisMchb;
    VisMchb11: TVisMchb;
    aspSimpleLine7: TSimpleLine;
    SimpleLine8: TSimpleLine;
    SimpleLine9: TSimpleLine;
    SimpleLine10: TSimpleLine;
    VisMchb12: TVisMchb;
    VisMchb15: TVisMchb;
    VisMchb16: TVisMchb;
    VisMchb17: TVisMchb;
    SimpleLine12: TSimpleLine;
    SimpleLine13: TSimpleLine;
    VisMchb18: TVisMchb;
    aspSimpleLine14: TSimpleLine;
    SimpleLine14a: TSimpleLine;
    aspSimpleLine15a: TSimpleLine;
    VisMchb19: TVisMchb;
    SimpleLine14: TSimpleLine;
    VisMchb21: TVisMchb;
    SimpleLine17: TSimpleLine;
    SimpleLine18: TSimpleLine;
    VisMchb22: TVisMchb;
    SimpleLine19: TSimpleLine;
    SimpleLine24: TSimpleLine;
    SimpleLine25: TSimpleLine;
    SimpleLine26: TSimpleLine;
    SimpleLine27: TSimpleLine;
    VisMchb26: TVisMchb;
    SimpleLine28: TSimpleLine;
    VisMchb27: TVisMchb;
    SimpleLine29: TSimpleLine;
    VisMchb30: TVisMchb;
    VisMchb31: TVisMchb;
    SimpleLine30: TSimpleLine;
    SimpleLine31: TSimpleLine;
    SimpleLine34: TSimpleLine;
    SimpleLine35: TSimpleLine;
    Label3: TLabel;
    Label5: TLabel;
    SimpleLine37: TSimpleLine;
    Label6: TLabel;
    SimpleLine38: TSimpleLine;
    Label7: TLabel;
    SimpleLine39: TSimpleLine;
    SimpleLine33: TSimpleLine;
    VisMchb13: TVisMchb;
    VisMchb28: TVisMchb;
    SimpleLine44: TSimpleLine;
    SimpleLine45: TSimpleLine;
    VisZDVA24: TVisZDVA;
    VisZDVA3: TVisZDVA;
    VisMchb14: TVisMchb;
    SimpleLine20: TSimpleLine;
    VisMchb33: TVisMchb;
    SimpleLine21: TSimpleLine;
    Label8: TLabel;
    VisDataboard2: TVisDataboard;
    VisMchb35: TVisMchb;
    VisLabel1: TVisLabel;
    VisNumericPanel1: TVisNumericPanel;
    SimpleLine49: TSimpleLine;
    SimpleLine50: TSimpleLine;
    SimpleLine51: TSimpleLine;
    SimpleLine52: TSimpleLine;
    Label48: TLabel;
    SimpleLine53: TSimpleLine;
    Label9: TLabel;
    Label10: TLabel;
    VisMchb34: TVisMchb;
    VisMchb36: TVisMchb;
    VisMchb37: TVisMchb;
    VisMchb38: TVisMchb;
    SimpleLine54: TSimpleLine;
    SimpleLine46: TSimpleLine;
    VisNumericPanel3: TVisNumericPanel;
    VisDataboard4: TVisDataboard;
    VisNumericPanel4: TVisNumericPanel;
    VisDataboard5: TVisDataboard;
    VisCheckBox1: TVisCheckBox;
    VisCheckBox2: TVisCheckBox;
    VisNumericPanel23: TVisNumericPanel;
    VisNumericPanel19: TVisNumericPanel;
    VisDataboard6: TVisDataboard;
    VisMchb39: TVisMchb;
    SimpleLine55: TSimpleLine;
    SimpleLine61: TSimpleLine;
    SimpleLine67: TSimpleLine;
    SimpleLine68: TSimpleLine;
    SimpleLine69: TSimpleLine;
    SimpleLine70: TSimpleLine;
    SimpleLine77: TSimpleLine;
    SimpleLine78: TSimpleLine;
    Label11: TLabel;
    VisMchb40: TVisMchb;
    VisMchb47: TVisMchb;
    VisMchb48: TVisMchb;
    Label12: TLabel;
    VisDataboard3: TVisDataboard;
    VisNumericPanel17: TVisNumericPanel;
    Label13: TLabel;
    SimpleLine7: TSimpleLine;
    Label14: TLabel;
    SimpleLine79: TSimpleLine;
    SimpleLine80: TSimpleLine;
    SimpleLine16: TSimpleLine;
    SimpleLine22: TSimpleLine;
    SimpleLine32: TSimpleLine;
    VisMchb20: TVisMchb;
    SimpleLine36: TSimpleLine;
    VisMchb23: TVisMchb;
    procedure VisualDeviceClick(Sender: TObject);
    procedure TabSheetMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ScadaObjectClick(Sender: TObject; obj: TCustomScadaObject;
      var frm: TForm);
    procedure GeliosClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure VisCheckBoxClick(Sender: TObject);
    procedure PodachaClick(Sender: TObject);
  private
  public
  end;

var
  Screen_ZOForm: TScreen_ZOForm;

implementation
uses
  VisSeqdControl,
  Numbers,
  MesLogging,
  Gelios_prop,
  TagStorage,
  RpVisualGlobal,
  RpVisualLegacyPanels,
  RpVisualUtils,
  RpVisualMain;


{$R *.dfm}

procedure TScreen_ZOForm.VisualDeviceClick(Sender: TObject);
begin
  _VisualDeviceClick(sender);
end;

procedure TScreen_ZOForm.TabSheetMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  _TabSheetMouseDown(Sender, Button, Shift, X, Y);
end;

procedure TScreen_ZOForm.ScadaObjectClick(Sender: TObject;
  obj: TCustomScadaObject; var frm: TForm);
begin
  _ScadaObjectClick(sender, obj, frm);
end;


procedure TScreen_ZOForm.GeliosClick(Sender: TObject);
begin
  _Gelios_Click(self, Sender, 1);
end;

procedure TScreen_ZOForm.FormCreate(Sender: TObject);
begin
  align := alClient;

end;

procedure TScreen_ZOForm.VisCheckBoxClick(Sender: TObject);
begin
  with Sender as TVisCheckBox do
      SaveMessageText('Маршрут Зерноочистка', Hint, iif(objCheckBox.Checked, 'Разрешено', 'Запрещено') );
end;

procedure TScreen_ZOForm.PodachaClick(Sender: TObject);
begin
  with Sender as TVisRadioButton do
    SaveMessageText('Маршрут "Зерноочистка"', 'Выбор подачи', Hint );
end;

end.
